## org.apache.xerces.impl.dv.xs
Class ListDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.ListDV

public class ListDV
extends TypeValidator

Represent the schema list types

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: ListDV.java 446745 2006-09-15 21:43:58Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`ListDV()`

Method Summary
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`short` `getAllowedFacets()`
`int` `getDataLength(java.lang.Object value)`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, compare, getDigit, getFractionDigits, getTotalDigits, isDigit, isIdentical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDV

    public ListDV()

Method Detail

### getAllowedFacets

    public short getAllowedFacets()

  Overrides:
    `getAllowedFacets` in class `TypeValidator`

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `TypeValidator`

### getDataLength

    public int getDataLength(java.lang.Object value)

  Overrides:
    `getDataLength` in class `TypeValidator`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.